diff --git a/src/utils/tx.ts b/src/utils/tx.ts
index b64289e..384d53a 100644
--- a/src/utils/tx.ts
+++ b/src/utils/tx.ts
@@ -46,7 +46,13 @@ export function encodePackage(
   const modules = moduleCodes.map((m) => new starcoin_types.Module(arrayify(m)));
   let scriptFunction = null;
   if (!!initScriptFunction) {
-    scriptFunction = encodeScriptFunction(initScriptFunction.functionId, initScriptFunction.tyArgs, initScriptFunction.args);
+    const funcId = parseFunctionId(initScriptFunction.functionId);
+    scriptFunction = new starcoin_types.ScriptFunction(
+      new starcoin_types.ModuleId(addressToSCS(funcId.address), new starcoin_types.Identifier(funcId.module)),
+      new starcoin_types.Identifier(funcId.functionName),
+      initScriptFunction.tyArgs.map((t) => typeTagToSCS(t)),
+      initScriptFunction.args
+    );
   }
   const packageData = new starcoin_types.Package(
     addressToSCS(moduleAddress),
